org.apache.poi.hssf.usermodel

## Class HSSFSimpleShape

- java.lang.Object
- - org.apache.poi.hssf.usermodel.HSSFShape
  - - org.apache.poi.hssf.usermodel.HSSFSimpleShape

- All Implemented Interfaces:
    Shape, SimpleShape
  Direct Known Subclasses:
    HSSFCombobox, HSSFPicture, HSSFPolygon, HSSFTextbox

      public class HSSFSimpleShape
      extends HSSFShape
      implements SimpleShape

  Represents a simple shape such as a line, rectangle or oval.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `OBJECT_TYPE_ARC`
    `static short` | `OBJECT_TYPE_COMBO_BOX`
    `static short` | `OBJECT_TYPE_COMMENT`
    `static short` | `OBJECT_TYPE_LINE`
    `static short` | `OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING`
    `static short` | `OBJECT_TYPE_OVAL`
    `static short` | `OBJECT_TYPE_PICTURE`
    `static short` | `OBJECT_TYPE_RECTANGLE`
    `static int` | `WRAP_BY_POINTS`
    `static int` | `WRAP_NONE`
    `static int` | `WRAP_SQUARE`

    - ### Fields inherited from class org.apache.poi.hssf.usermodel.HSSFShape

      `FILL__FILLCOLOR_DEFAULT, LINESTYLE__COLOR_DEFAULT, LINESTYLE_DASHDOTDOTSYS, LINESTYLE_DASHDOTGEL, LINESTYLE_DASHDOTSYS, LINESTYLE_DASHGEL, LINESTYLE_DASHSYS, LINESTYLE_DEFAULT, LINESTYLE_DOTGEL, LINESTYLE_DOTSYS, LINESTYLE_LONGDASHDOTDOTGEL, LINESTYLE_LONGDASHDOTGEL, LINESTYLE_LONGDASHGEL, LINESTYLE_NONE, LINESTYLE_SOLID, LINEWIDTH_DEFAULT, LINEWIDTH_ONE_PT, NO_FILL_DEFAULT, NO_FILLHITTEST_FALSE, NO_FILLHITTEST_TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSSFSimpleShape(EscherContainerRecord spContainer, ObjRecord objRecord)`
    `HSSFSimpleShape(EscherContainerRecord spContainer, ObjRecord objRecord, TextObjectRecord textObjectRecord)`
    `HSSFSimpleShape(HSSFShape parent, HSSFAnchor anchor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterRemove(HSSFPatriarch patriarch)` remove escher container from the patriarch.escherAggregate remove obj, textObj and note records if it's necessary in case of ShapeGroup remove all contained shapes
    `protected HSSFShape` | `cloneShape()`
    `protected ObjRecord` | `createObjRecord()`
    `protected EscherContainerRecord` | `createSpContainer()`
    `protected TextObjectRecord` | `createTextObjRecord()`
    `int` | `getShapeId()`
    `int` | `getShapeType()` Gets the shape type.
    `HSSFRichTextString` | `getString()`
    `protected TextObjectRecord` | `getTextObjectRecord()`
    `int` | `getWrapText()`
    `void` | `setShapeType(int value)`
    `void` | `setString(RichTextString string)`
    `void` | `setWrapText(int value)`

    - ### Methods inherited from class org.apache.poi.hssf.usermodel.HSSFShape

      `countOfAllChildren, getAnchor, getEscherContainer, getFillColor, getLineStyle, getLineStyleColor, getLineWidth, getObjRecord, getOptRecord, getParent, getPatriarch, getRotationDegree, getShapeName, isFlipHorizontal, isFlipVertical, isNoFill, setAnchor, setFillColor, setFillColor, setFlipHorizontal, setFlipVertical, setLineStyle, setLineStyleColor, setLineStyleColor, setLineWidth, setNoFill, setParent, setPatriarch, setPropertyValue, setRotationDegree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.ss.usermodel.Shape

      `getAnchor, getParent, getShapeName, isNoFill, setFillColor, setLineStyleColor, setNoFill`

- - ### Field Detail

    - #### OBJECT_TYPE_LINE

          public static final short OBJECT_TYPE_LINE

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_RECTANGLE

          public static final short OBJECT_TYPE_RECTANGLE

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_OVAL

          public static final short OBJECT_TYPE_OVAL

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_ARC

          public static final short OBJECT_TYPE_ARC

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_PICTURE

          public static final short OBJECT_TYPE_PICTURE

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_COMBO_BOX

          public static final short OBJECT_TYPE_COMBO_BOX

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_COMMENT

          public static final short OBJECT_TYPE_COMMENT

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING

          public static final short OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING

      See Also:
        Constant Field Values

    - #### WRAP_SQUARE

          public static final int WRAP_SQUARE

      See Also:
        Constant Field Values

    - #### WRAP_BY_POINTS

          public static final int WRAP_BY_POINTS

      See Also:
        Constant Field Values

    - #### WRAP_NONE

          public static final int WRAP_NONE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HSSFSimpleShape

          public HSSFSimpleShape(EscherContainerRecord spContainer,
                                 ObjRecord objRecord,
                                 TextObjectRecord textObjectRecord)

    - #### HSSFSimpleShape

          public HSSFSimpleShape(EscherContainerRecord spContainer,
                                 ObjRecord objRecord)

    - #### HSSFSimpleShape

          public HSSFSimpleShape(HSSFShape parent,
                                 HSSFAnchor anchor)

  - ### Method Detail

    - #### getTextObjectRecord

          protected TextObjectRecord getTextObjectRecord()

    - #### createTextObjRecord

          protected TextObjectRecord createTextObjRecord()

    - #### createSpContainer

          protected EscherContainerRecord createSpContainer()

      Specified by:
        `createSpContainer` in class `HSSFShape`

    - #### createObjRecord

          protected ObjRecord createObjRecord()

      Specified by:
        `createObjRecord` in class `HSSFShape`

    - #### afterRemove

          protected void afterRemove(HSSFPatriarch patriarch)

      Description copied from class: `HSSFShape`
      remove escher container from the patriarch.escherAggregate remove obj, textObj and note records if it's necessary in case of ShapeGroup remove all contained shapes
      Specified by:
        `afterRemove` in class `HSSFShape`

    - #### getString

          public HSSFRichTextString getString()

      Returns:
        the rich text string for this textbox.

    - #### setString

          public void setString(RichTextString string)

      Parameters:
        `string` - Sets the rich text string used by this object.

    - #### cloneShape

          protected HSSFShape cloneShape()

      Specified by:
        `cloneShape` in class `HSSFShape`

    - #### getShapeType

          public int getShapeType()

      Gets the shape type.
      Returns:
        One of the OBJECT_TYPE_* constants.
      See Also:
        `OBJECT_TYPE_LINE`, `OBJECT_TYPE_OVAL`, `OBJECT_TYPE_RECTANGLE`, `OBJECT_TYPE_PICTURE`, `OBJECT_TYPE_COMMENT`

    - #### getWrapText

          public int getWrapText()

    - #### setWrapText

          public void setWrapText(int value)

    - #### setShapeType

          public void setShapeType(int value)

      Parameters:
        `value` - - shapeType
      See Also:
        `HSSFShapeTypes`

    - #### getShapeId

          public int getShapeId()

      Specified by:
        `getShapeId` in interface `SimpleShape`
      Returns:
        global shapeId(from EscherSpRecord)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.